## python-redfish 3.3.4

=== requirements.txt ===
jsonpatch<=1.24 ; python_version == '3.4'
jsonpatch ; python_version >= '3.5'
jsonpath_rw
jsonpointer
requests
requests-toolbelt
requests-unixsocket

## python-redfish 3.2.7

=== debian/changelog ===
python-redfish (3.2.7-4) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100283).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Mar 2025 16:01:28 +0000

python-redfish (3.2.7-3) unstable; urgency=medium

  * [fc60018] d/control: Add Conflict with python3-ilorest
    Closes: #1092766

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Tue, 14 Jan 2025 09:53:57 +0100

python-redfish (3.2.7-2) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Jan 2025 06:23:21 +0200

python-redfish (3.2.7-1) unstable; urgency=medium

  * Initial release. (Closes: #1091720)

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Thu, 02 Jan 2025 10:28:31 +0100

=== debian/control ===
Source: python-redfish
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Karsten Schöke <karsten.schoeke@geobasis-bb.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-jsonpatch <!nocheck>,
 python3-jsonpath-rw <!nocheck>,
 python3-requests <!nocheck>,
 python3-requests-unixsocket <!nocheck>,
 python3-requests-toolbelt <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/DMTF/python-redfish-library
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-redfish
Vcs-Git: https://salsa.debian.org/python-team/packages/python-redfish.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-redfish
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Conflicts:
 python3-ilorest,
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: Redfish Python Library (Python 3)
 The Python Redfish library is the platform on which the Redfish tool
 was built on. It's main purpose is to simplify the communication
 to any RESTful API.
 .
 REST (Representational State Transfer) is a web based software
 architectural style consisting a set of constraints that focus
 on a system's resource. Redfish library performs the basic HTTP
 operations GET, POST, PUT, PATCH and DELETE on resources using the
 HATEOS (Hypermedia as the Engine of Application) REST architecture.
 Most API's allow the clients to manage and interact with a fixed URL
 and several URIs. Go to the API overview section for more details.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=python-redfish
export PYBUILD_BEFORE_TEST=cp -a {dir}/tests {build_dir}

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
      https://github.com/DMTF/python-redfish-library.git \
      refs/tags/@ANY_VERSION@

## python-redfish 3.3.4

=== debian/changelog ===
python-redfish (3.3.4-1) unstable; urgency=medium

  * [e913aa3] New upstream version 3.3.4
  * [65198f0] d/watch: Convert to version 5
  * [082e17f] d/control: bump standards version to 4.7.2
  * [9ca6357] remove obsolte test dir
  * [4ef13bf] d/rules: remove top_level.txt

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Fri, 17 Oct 2025 12:22:49 +0200

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,10 @@
  python3-requests <!nocheck>,
  python3-requests-unixsocket <!nocheck>,
  python3-requests-toolbelt <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/DMTF/python-redfish-library
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-redfish
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-redfish.git
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-redfish

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=python-redfish
-export PYBUILD_BEFORE_TEST=cp -a {dir}/tests {build_dir}
+export PYBUILD_AFTER_INSTALL=rm -fr {destdir}/usr/lib/python3*/dist-packages/redfish-*/top_level.txt
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://github.com/DMTF/python-redfish-library.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
